Bug 921567 - raddebug -t 0 exists immediately
Summary: raddebug -t 0 exists immediately
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: freeradius   
(Show other bugs)
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nikolai Kondrashov
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-14 12:57 UTC by Lukas "krteknet" Novy
Modified: 2015-07-22 06:16 UTC (History)
5 users (show)

Fixed In Version: freeradius-2.2.6-1.el6
Doc Type: Bug Fix
Doc Text:
After starting raddebug using the "raddebug -t 0" command, raddebug exited immediately. A typo in the special case comparison has been fixed, and raddebug now runs for 11.5 days in this situation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 06:16:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1287 normal SHIPPED_LIVE Moderate: freeradius security, bug fix, and enhancement update 2015-07-20 17:48:53 UTC

Description Lukas "krteknet" Novy 2013-03-14 12:57:25 UTC
Description of problem:
raddebug tool from freeradius normally exists in 60 seconds, this can be overriden by -t cli option. Man page of radebug mentions that passing "-t 0" to raddebug will make it run forever.

Version-Release number of selected component (if applicable):
freeradius-2.1.12-4.el6_3

How reproducible:
always

Steps to Reproduce:
1. Configure freeradius to accept commands via control-socket (see raddebug manpage)
2. Start radiusd service
3. Start raddebug -t 0
  
Actual results:
raddebug immediately exists

Expected results:
raddebug keeps running

Additional info:

Comment 1 RHEL Product and Program Management 2013-03-14 13:10:24 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 2 Jean-Eudes ONFRAY 2013-03-29 09:46:21 UTC
I faced the same problem. It's a typo in /usr/sbin/raddebug

Here's a patch:
--- raddebug.orig	2013-03-29 10:45:10.615000000 +0100
+++ /usr/sbin/raddebug	2013-03-29 10:45:51.946000000 +0100
@@ -52,7 +52,7 @@
 	extra="-f $OPTARG"
 	;;
   t)	timeout="$OPTARG"
-	[ "$timout" = "0" ] && timeout=1000000
+	[ "$timeout" = "0" ] && timeout=1000000
 	;;
   u)	condition="(User-Name == $OPTARG)"
 	;;

Comment 3 Lukas "krteknet" Novy 2013-03-29 10:23:31 UTC
Great, thanks!

I made a pull request with this fix
https://github.com/FreeRADIUS/freeradius-server/pull/262

Comment 4 RHEL Product and Program Management 2013-10-13 23:48:43 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 10 errata-xmlrpc 2015-07-22 06:16:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1287.html


Note You need to log in before you can comment on or make changes to this bug.